const { Model } = require('flitter-orm')
const uuid = require('uuid/v4')

class ExportModel extends Model {
    static get schema() {
        return {
            user_id: String,
            create_date: { type: Date, default: () => new Date },
            format: String, // 'html' | 'pdf' | 'markdown' | 'json'
            subtree: { type: Boolean, default: true },
            file_id: String,
            PageId: String,
            Active: { type: Boolean, default: true },
            UUID: { type: String, default: uuid },
        }
    }
}

module.exports = exports = ExportModel
